SystemOrganization addCategory: #'Gawain-Directoire'!

Dictionary subclass: #GWIdCounts
	instanceVariableNames: 'counts'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWIdCounts commentStamp: 'EuanM 11/14/2015 05:52' prior: 0!
Class - What am I?
GWIdCounts
I keep a bunch of incrementers - one for every Class that needs a unique ID 
e.g. GWPerson, Fencer, Bout etc

Responsibility - I provide Unique integer ID numbers, and supply them to the relevant class.   

Collaborators - who do I need?  Who do I help?
How do I work with them?

I do it this way so that the method for an incrementer is always the same,  and is stored onceAndOnlyOnce.  I use the same method  every incremennter in my Dictionary/OrderedCollection of incrementers

Public API and Key Messages
- message one   
- message two 
How do I create new instances?

A simple example
 
Key Implementation Points.

Instance Variables
 
Internal Representation and Key Implementation Points.


    Implementation Points!

!GWIdCounts methodsFor: 'as yet unclassified' stamp: 'GordonLove 11/4/2015 04:03'!
incrementId: anIdKey
	"Increment the key's value by 1"

	self at: anIdKey put: ( ( self at: anIdKey ) + 1 )  ! !

!GWIdCounts methodsFor: 'as yet unclassified' stamp: 'GordonLove 11/4/2015 03:58'!
initialize
	"Set up counts for the latest unique Id given to an object"
   self add: 'person'->0;
        add: 'competitionSeries'->0;
        add: 'competition'->0 ;
        add: 'event'->0 ;
        add: 'round'->0 ;
        add: 'pool'->0 ;
        add: 'round'->0;
        add: 'bout'->0;
        add: 'boutScore'->0
! !

Object subclass: #GWBout
	instanceVariableNames: 'boutNum fencer1 fencer1Result fencer1Score fencer2 fencer2Result fencer2Score boutStartTime boutFinishTime referee scorekeeper judges boutScores poolId idName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

GWBout class
	instanceVariableNames: 'boutNum fencer1 fencer1Result fencer1Score fencer2 fencer2Result fencer2Score boutStartTime boutFinishTime referee scorekeeper judges boutScores poolId idName'!

!GWBout commentStamp: 'GordonLove 11/5/2015 02:18' prior: 0!
Bout
A bout is a scored assault. 

I track the start and end times, and I track the list of BoutScores

Main Collaborators: 
BoutScores - each stores one change in the results.  There is a list of BoutScores for each commenced bout.
Pool - there are several bouts associated with each pool
GWPerson - there are two persons with Fencer Roles for each bout, and potentially, a list of officials.

All done by simple accessors, for now
 
Internal Representation and Key Implementation Points.

    Instance Variables
	boutFinishTime:		<Object>
	boutNum:		<Object>
	boutScores:		<Object>
	boutStartTime:		<Object>
	fencer1:		<Object>
	fencer1Result:		<Object>
	fencer1Score:		<Object>
	fencer2:		<Object>
	fencer2Result:		<Object>
	fencer2Score:		<Object>
	idName:		<Object>
	judges:		<Object>
	poolId:		<Object>
	referee:		<Object>
	scorekeeper:		<Object>


    Implementation Points!

GWBout class
	instanceVariableNames: 'boutNum fencer1 fencer1Result fencer1Score fencer2 fencer2Result fencer2Score boutStartTime boutFinishTime referee scorekeeper judges boutScores poolId idName'!

!GWBout methodsFor: 'accessing' stamp: ''!
boutFinishTime
	^ boutFinishTime! !

!GWBout methodsFor: 'accessing' stamp: ''!
boutFinishTime: t1 
	boutFinishTime := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
boutNum
	^ boutNum! !

!GWBout methodsFor: 'accessing' stamp: ''!
boutNum: t1 
	boutNum := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
boutStartTime
	^ boutStartTime! !

!GWBout methodsFor: 'accessing' stamp: ''!
boutStartTime: t1 
	boutStartTime := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer1
	^ fencer1! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer1: t1 
	fencer1 := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer1Result
	^ fencer1Result! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer1Result: t1 
	fencer1Result := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer1Score
	^ fencer1Score! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer1Score: t1 
	fencer1Score := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer2
	^ fencer2! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer2: t1 
	fencer2 := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer2Result
	^ fencer2Result! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer2Result: t1 
	fencer2Result := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer2Score
	^ fencer2Score! !

!GWBout methodsFor: 'accessing' stamp: ''!
fencer2Score: t1 
	fencer2Score := t1! !

!GWBout methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:10'!
idName
	^ idName! !

!GWBout methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:10'!
idName: anObject
	idName := anObject! !

!GWBout methodsFor: 'accessing' stamp: ''!
judges
	^ judges! !

!GWBout methodsFor: 'accessing' stamp: ''!
judges: t1 
	judges := t1! !

!GWBout methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 12:40'!
poolId
	^ poolId! !

!GWBout methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 12:40'!
poolId: anObject
	poolId := anObject! !

!GWBout methodsFor: 'accessing' stamp: ''!
referee
	^ referee! !

!GWBout methodsFor: 'accessing' stamp: ''!
referee: t1 
	referee := t1! !

!GWBout methodsFor: 'accessing' stamp: ''!
scorekeeper
	^ scorekeeper! !

!GWBout methodsFor: 'accessing' stamp: ''!
scorekeeper: t1 
	scorekeeper := t1! !

Object variableSubclass: #GWBoutPair
	instanceVariableNames: 'competitor1 competitor2'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWBoutPair commentStamp: 'GordonRLove 4/5/2016 10:20' prior: 0!
CRC
Class:  GWBoutPair - the two competitors
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWBoutPair methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 07:12'!
competitor1
	^ self at: 1! !

!GWBoutPair methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 07:13'!
competitor1: anObject
	self at: 1 put: anObject! !

!GWBoutPair methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 07:13'!
competitor2
	^ self at: 2! !

!GWBoutPair methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 07:13'!
competitor2: anObject
		self at: 2 put: anObject! !

Object subclass: #GWBoutScore
	instanceVariableNames: 'hitSeqNum fencer1Score fencer2Score hitTimeStamp boutNum idName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWBoutScore commentStamp: 'GordonRLove 4/5/2016 09:46' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:29'!
boutNum
	^ boutNum! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:29'!
boutNum: aSmallInt
	boutNum := aSmallInt! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 20:01'!
fencer1Score
	^ fencer1Score! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 20:01'!
fencer1Score: aSmallInt
	fencer1Score := aSmallInt
! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 20:01'!
fencer2Score
	^ fencer2Score! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 20:02'!
fencer2Score: aSmallInt
	fencer2Score := aSmallInt! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:05'!
hitSeqNum
	^ hitSeqNum! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:05'!
hitSeqNum: anObject
	hitSeqNum := anObject! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:03'!
hitTimeStamp
	^ hitTimeStamp! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:03'!
hitTimeStamp: aTimeStamp
	hitTimeStamp := aTimeStamp asUTC! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName
	^ idName! !

!GWBoutScore methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName: anObject
	idName := anObject! !

Object subclass: #GWBoutlist
	instanceVariableNames: 'numOfCompetitors numOfBouts ruleset vintage orderOfBouts variation idName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWBoutlist commentStamp: 'GordonRLove 4/5/2016 09:46' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 08:16'!
calcNumOfBouts: anInt
^ anInt * (anInt - 1) / 2
                          
! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:08'!
idName
	^ idName! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:08'!
idName: anObject
	idName := anObject! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:08'!
numOfBouts
	^ numOfBouts! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:08'!
numOfBouts: anObject
	numOfBouts := anObject! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:08'!
numOfCompetitors
	^ numOfCompetitors! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:08'!
numOfCompetitors: anObject
	numOfCompetitors := anObject! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:10'!
orderOfBouts
	^ orderOfBouts! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:10'!
orderOfBouts: anObject
	orderOfBouts := anObject! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 09:19'!
ruleset
	^ ruleset! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 09:19'!
ruleset: anObject
	ruleset := anObject! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:09'!
variation
	^ variation! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:09'!
variation: anObject
	variation := anObject! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:09'!
vintage
	^ vintage! !

!GWBoutlist methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 06:09'!
vintage: anObject
	vintage := anObject! !

Object subclass: #GWCompetition
	instanceVariableNames: 'competitionId competitionName sequenceId startDate endDate leadOrganiser runByOrganisation events idName boutlists fencers'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWCompetition commentStamp: 'GordonRLove 4/5/2016 09:46' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWCompetition methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 05:15'!
boutLists
	^ boutLists! !

!GWCompetition methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 05:15'!
boutLists: anObject
	boutLists := anObject! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:43'!
competitionId
	^ competitionId! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:43'!
competitionId: anObject
	competitionId := anObject! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:18'!
competitionName
	^ competitionName! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:18'!
competitionName: anObject
	competitionName := anObject! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:44'!
events
	^ events! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:44'!
events: anObject
	events := anObject! !

!GWCompetition methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 05:20'!
fencers
	^ fencers! !

!GWCompetition methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 05:20'!
fencers: anObject
	fencers := anObject! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName
	^ idName! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName: anObject
	idName := anObject! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:43'!
startDate
	^ startDate! !

!GWCompetition methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:43'!
startDate: anObject
	startDate := anObject! !

Object subclass: #GWCompetitionEvent
	instanceVariableNames: 'eventId ageBracket weapon gender ruleSet governingBody category rounds idName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWCompetitionEvent commentStamp: 'GordonRLove 4/5/2016 09:46' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWCompetitionEvent methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:45'!
eventId
	^ eventId! !

!GWCompetitionEvent methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:45'!
eventId: anObject
	eventId := anObject! !

!GWCompetitionEvent methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName
	^ idName! !

!GWCompetitionEvent methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName: anObject
	idName := anObject! !

!GWCompetitionEvent methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:45'!
rounds
	^ rounds! !

!GWCompetitionEvent methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:45'!
rounds: anObject
	rounds := anObject! !

Object subclass: #GWCompetitionSeries
	instanceVariableNames: 'seriesId competitionSeriesName currleadOrganiser currRunByOrganisation competitions idName leadOrganisers runnerOrganisations'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWCompetitionSeries commentStamp: 'GordonRLove 4/5/2016 09:46' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:21'!
competitionSeriesName
	^ competitionSeriesName! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:21'!
competitionSeriesName: anObject
	competitionSeriesName := anObject! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
competitions
	^ competitions! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
competitions: anObject
	competitions := anObject! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
currRunByOrganisation
	^ currRunByOrganisation! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
currRunByOrganisation: anObject
	currRunByOrganisation := anObject! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
currleadOrganiser
	^ currleadOrganiser! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
currleadOrganiser: anObject
	currleadOrganiser := anObject! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName
	^ idName! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName: anObject
	idName := anObject! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
seriesId
	^ seriesId! !

!GWCompetitionSeries methodsFor: 'accessing' stamp: 'GordonLove 10/31/2015 00:10'!
seriesId: anObject
	seriesId := anObject! !

Object subclass: #GWFencerRound
	instanceVariableNames: 'fencerId roundId poolId wins draws defeats hitsScored hitReceived indicators rank idName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWFencerRound commentStamp: 'EuanM 11/14/2015 05:54' prior: 0!
Class - What am I?
FencerRound

Responsibility - I calculate and store all the end-of-round results for a Fencer, 

Collaborators - who do I need?  Who do I help?
How do I work with them?

Public API and Key Messages
- message one   
- message two 
How do I create new instances?

A simple example
 
Key Implementation Points.

Instance Variables
	defeats:		<Object>
	draws:		<Object>
	fencerId:		<Object>
	hitReceived:		<Object>
	hitsScored:		<Object>
	idName:		<Object>
	indicators:		<Object>
	poolId:		<Object>
	rank:		<Object>
	roundId:		<Object>
	wins:		<Object>


    Implementation Points!

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
defeats
	^ defeats! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
defeats: anObject
	defeats := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
draws
	^ draws! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
draws: anObject
	draws := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:07'!
fencerId
	^ fencerId! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:07'!
fencerId: anObject
	fencerId := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
hitReceived
	^ hitReceived! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
hitReceived: anObject
	hitReceived := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
hitsScored
	^ hitsScored! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
hitsScored: anObject
	hitsScored := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName
	^ idName! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:11'!
idName: anObject
	idName := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
indicators
	^ indicators! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
indicators: anObject
	indicators := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
poolId
	^ poolId! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
poolId: anObject
	poolId := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
rank
	^ rank! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
rank: anObject
	rank := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:07'!
roundId
	^ roundId! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:07'!
roundId: anObject
	roundId := anObject! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
wins
	^ wins! !

!GWFencerRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:42'!
wins: anObject
	wins := anObject! !

Object subclass: #GWPerson
	instanceVariableNames: 'fullName givenName middleNames familyName doB initials idName gwPersonIdNum emails phoneNumbers gwPersonUuid'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

GWPerson class
	instanceVariableNames: 'GWPersonCounter'!

!GWPerson commentStamp: 'EuanM 11/14/2015 05:47' prior: 0!
Class - What am I?
GWPerson - I represent a Gawain System Person.   
In Directoire Phase 1, I am not used directly

Responsibility - I track all the Personal details, 
In later versions I will track any roles teh Person might have, e.g. Fencer, Schoolchild

Collaborators - who do I need?  Who do I help?
How do I work with them?

Public API and Key Messages
- message one   
- message two 
How do I create new instances?

A simple example
 
Key Implementation Points.

Instance Variables
	doB:		<Object>
	familyName:		<Object>
	fullName:		<Object>
	givenName:		<Object>
	idName:		<Object>
	initials:		<Object>
	middleNames:		<Object>
	personUuid:		<Object>


    Implementation Points!

GWPerson class
	instanceVariableNames: 'GWPersonCounter'!

GWPerson subclass: #GWFencer
	instanceVariableNames: 'shortName uniqueNameSeason uniqueNameCompetition responsiblePerson principalClub clubs homeNation nation'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

GWFencer class
	instanceVariableNames: 'FencerCounter'!

!GWFencer commentStamp: 'EuanM 11/14/2015 05:45' prior: 0!
Class - What am I?
Fencer - I represent a single fencer 
In Directoire Phase 1, I am not used directly

Responsibility - I track all the Personal details, plus school-specific info
3 aspects of Responsibility

Collaborators - who do I need?  Who do I help?
How do I work with them?

Public API and Key Messages
- message one   
- message two 
How do I create new instances?

A simple example
 
Key Implementation Points.

Instance Variables
	responsiblePerson:		<Object>
	shortName:		<Object>
	uniqueNameCompetition:		<Object>
	uniqueNameSeason:		<Object>


    Implementation Points!

GWFencer class
	instanceVariableNames: 'FencerCounter'!

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:34'!
clubs
	^ clubs! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:34'!
clubs: anObject
	clubs := anObject! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:35'!
homeNation
	^ homeNation! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:35'!
homeNation: anObject
	homeNation := anObject! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:35'!
nation
	^ nation! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:35'!
nation: anObject
	nation := anObject! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:35'!
principalClub
	^ principalClub! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 09:35'!
principalClub: anObject
	principalClub := anObject! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:14'!
responsiblePerson
	^ responsiblePerson! !

!GWFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:14'!
responsiblePerson: aPerson
	responsiblePerson := aPerson
! !

!GWFencer methodsFor: 'accessing' stamp: 'EuanM 11/14/2015 02:03'!
shortName
	^ shortName! !

!GWFencer methodsFor: 'accessing' stamp: 'EuanM 11/14/2015 02:03'!
shortName: anObject
	shortName := anObject! !

!GWFencer methodsFor: 'accessing' stamp: 'EuanM 11/14/2015 02:04'!
uniqueNameCompetition
	^ uniqueNameCompetition! !

!GWFencer methodsFor: 'accessing' stamp: 'EuanM 11/14/2015 02:04'!
uniqueNameCompetition: anObject
	uniqueNameCompetition := anObject! !

!GWFencer methodsFor: 'accessing' stamp: 'EuanM 11/14/2015 02:04'!
uniqueNameSeason
	^ uniqueNameSeason! !

!GWFencer methodsFor: 'accessing' stamp: 'EuanM 11/14/2015 02:04'!
uniqueNameSeason: anObject
	uniqueNameSeason := anObject! !

GWFencer subclass: #GWSchoolFencer
	instanceVariableNames: 'schoolYear isSchoolYearOfficial school'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWSchoolFencer commentStamp: 'EuanM 11/14/2015 02:16' prior: 0!
Class - What am I?
SchoolFencer - I represent a single fencer of school age
In Directoire Phase 1, I am the only type of person 

Responsibility - I track all the Personal details, plus school-specific info
Track the list of clubs the fencer is in
Track the school the fencer is at, and their year in the school

Collaborators - who do I need?  Who do I help?
How do I work with them?

Public API and Key Messages
- message one   
- message two 
How do I create new instances?

A simple example
 
Key Implementation Points.

Instance Variables
	clubs:  dictionary of clubs and club short codes
	isSchoolYearOfficial:  Boolean - Are they in a school with standard year names?, .g. are they at Tollcross with P1-P7, or at Edinburgh Steiner classes
	principalClub:  Their principal club, of all the clubs they are a member of
	school:	pointer to a school object?
	schoolYear:  One of the values listed in ValidSchoolYears


    Implementation Points!

!GWSchoolFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:18'!
isSchoolYearOfficial
	^ isSchoolYearOfficial! !

!GWSchoolFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:18'!
isSchoolYearOfficial: aBoolean
	isSchoolYearOfficial := aBoolean
! !

!GWSchoolFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:18'!
school
	^ school! !

!GWSchoolFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:18'!
school: aString
	school := aString
! !

!GWSchoolFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:17'!
schoolYear
	^ schoolYear! !

!GWSchoolFencer methodsFor: 'accessing' stamp: 'GordonLove 10/28/2015 19:17'!
schoolYear: aSchoolyear
	schoolYear := aSchoolyear! !

!GWSchoolFencer methodsFor: 'as yet unclassified' stamp: 'EuanM 11/17/2015 01:17'!
setShortName
	"Creates a shortName from givenName and first initial of second name"
self initials: 
	(
	self givenName, 
	(self familyName at: 1) asString
	 ) .	! !

GWPerson subclass: #GWParent
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWParent commentStamp: 'GordonRLove 4/5/2016 09:46' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWParent methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 03:26'!
addChild: anObject
	children add: anObject! !

!GWParent methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 03:25'!
children
	^ children! !

!GWParent methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 13:31'!
children: anArrayOfObjects
	children := anArrayOfObjects! !

!GWPerson class methodsFor: 'accessing' stamp: 'GordonLove 11/3/2015 16:09'!
gWPersonCounter
	^ GWPersonCounter! !

!GWPerson class methodsFor: 'accessing' stamp: 'GordonLove 11/3/2015 16:09'!
gWPersonCounter: anObject
	GWPersonCounter := anObject! !

!GWPerson class methodsFor: 'as yet unclassified' stamp: 'EuanM 12/1/2015 07:38'!
new
	^ super new
	! !

!GWPerson methodsFor: 'as yet unclassified' stamp: 'GordonRLove 4/5/2016 10:31'!
addEmail: aString
    emails := emails add: aString! !

!GWPerson methodsFor: 'accessing' stamp: ''!
doB
	^ doB! !

!GWPerson methodsFor: 'accessing' stamp: ''!
doB: aDate 
	doB := aDate! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 10:25'!
emails
	^ emails! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 10:31'!
emails: anArrayOfStrings
	emails := anArrayOfStrings! !

!GWPerson methodsFor: 'accessing' stamp: ''!
familyName
	^ familyName! !

!GWPerson methodsFor: 'accessing' stamp: ''!
familyName: aString 
	familyName := aString trimRight! !

!GWPerson methodsFor: 'as yet unclassified' stamp: 'GordonLove 11/3/2015 02:19'!
firstMiddleInitial
	"Return up to 2 initials of the middleNames, without whitespace, as a String"

   ^ (self middleNames byteSize) > 0 
        ifTrue: [ ( middleNames at: 1 ) asString ] 
        ifFalse: ''! !

!GWPerson methodsFor: 'accessing' stamp: ''!
fullName
	^ fullName! !

!GWPerson methodsFor: 'accessing' stamp: ''!
fullName: aString 
	fullName := aString! !

!GWPerson methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 01:28'!
gWPersonIdNum
	^ GWPersonIdNum! !

!GWPerson methodsFor: 'accessing' stamp: 'EuanM 11/17/2015 01:28'!
gWPersonIdNum: anObject
	GWPersonIdNum := anObject! !

!GWPerson methodsFor: 'accessing' stamp: ''!
givenName
	^ givenName! !

!GWPerson methodsFor: 'accessing' stamp: ''!
givenName: aString 
	givenName := aString trimRight! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:12'!
idName
	^ idName! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:12'!
idName: anObject
	idName := anObject! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonLove 11/3/2015 00:50'!
initials
	^ initials! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonLove 11/3/2015 00:50'!
initials: anObject
	initials := anObject! !

!GWPerson methodsFor: 'as yet unclassified' stamp: 'GordonLove 11/3/2015 00:27'!
middleInitials
	"Return up to 2 initials of the middleNames, without whitespace"

^ middleNames firstWord at: 1, middleNames secondWord at:1! !

!GWPerson methodsFor: 'accessing' stamp: ''!
middleNames
	^ middleNames! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonLove 11/3/2015 01:04'!
middleNames: aString 
	middleNames := aString withBlanksCondensed! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 10:28'!
personUuid
	^ gwPersonUuid! !

!GWPerson methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 10:28'!
personUuid: anObject
	gwPersonUuid := anObject! !

!GWPerson methodsFor: 'as yet unclassified' stamp: 'GordonRLove 4/5/2016 10:33'!
phoneNumbers
	^ phoneNumbers! !

!GWPerson methodsFor: 'as yet unclassified' stamp: 'GordonRLove 4/5/2016 10:33'!
phoneNumbers: anArrayOfStrings
	phoneNumbers := anArrayOfStrings! !

!GWPerson methodsFor: 'accessing' stamp: 'EuanM 12/1/2015 08:13'!
setFullName
	givenName isNil
		ifFalse: [self fullName: givenName trimRight , ' '].
	middleNames isNil
		ifFalse: [self fullName: fullName , middleNames trimRight , ' '].
	familyName isNil
		ifFalse: [self fullName: fullName , familyName , ' '].
	self fullName: fullName trimRight! !

!GWPerson methodsFor: 'as yet unclassified' stamp: 'GordonLove 11/3/2015 02:00'!
setInitials
	"comment stating purpose of message"

	self initials: 
	(
	(self givenName at: 1) asString, 
	 self firstMiddleInitial,
	(self familyName at: 1) asString
	 ) .
	! !

!GWPerson methodsFor: 'as yet unclassified' stamp: 'GordonLove 11/3/2015 00:20'!
setPersonUuid
	"create UUID for the person"

	self personUuid: (UUID new)! !

Object subclass: #GWPool
	instanceVariableNames: 'poolId fencers boutUpTo numOfBouts bouts boutScoresGrid roundId competitionId eventId idName boutList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWPool commentStamp: 'GordonRLove 4/5/2016 09:47' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWPool methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 10:22'!
boutList
	^ boutList! !

!GWPool methodsFor: 'accessing' stamp: 'GordonRLove 4/5/2016 10:21'!
boutList: anObject
	boutList := anObject! !

!GWPool methodsFor: 'accessing' stamp: ''!
boutUpTo
	^ boutUpTo! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 18:15'!
boutUpTo: anInteger 
	boutUpTo := anInteger! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:25'!
bouts
	^ bouts! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:26'!
bouts: aListOfBouts
	bouts := aListOfBouts! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:02'!
competitionId
	^ competitionId! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:02'!
competitionId: anObject
	competitionId := anObject! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:02'!
eventId
	^ eventId! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 23:02'!
eventId: anObject
	eventId := anObject! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 18:18'!
fencers
	^ fencers! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 18:19'!
fencers: anArrayOfObjects
	fencers := anArrayOfObjects! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:12'!
idName
	^ idName! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:12'!
idName: anObject
	idName := anObject! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 18:17'!
numOfBouts
	^ numOfBouts! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:26'!
numOfBouts: aSmallInt
	numOfBouts := aSmallInt
! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:24'!
poolId
	^ poolId! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/29/2015 21:24'!
poolId: anObject
	poolId := anObject! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 12:46'!
roundId
	^ roundId! !

!GWPool methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 12:46'!
roundId: anObject
	roundId := anObject! !

Object subclass: #GWRound
	instanceVariableNames: 'roundId pools eventId competitionId idName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWRound commentStamp: 'GordonRLove 4/5/2016 09:47' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:52'!
competitionId
	^ competitionId! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:52'!
competitionId: anObject
	competitionId := anObject! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:52'!
eventId
	^ eventId! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:52'!
eventId: anObject
	eventId := anObject! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:10'!
idName
	^ idName! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 11/4/2015 04:10'!
idName: anObject
	idName := anObject! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:30'!
pools
	^ pools! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 22:30'!
pools: anObject
	pools := anObject! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 12:48'!
roundId
	^ roundId! !

!GWRound methodsFor: 'accessing' stamp: 'GordonLove 10/30/2015 12:48'!
roundId: anObject
	roundId := anObject! !

Array variableSubclass: #GWBoutOrdering
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Gawain-Directoire'!

!GWBoutOrdering commentStamp: 'GordonRLove 4/5/2016 09:45' prior: 0!
CRC
Class:  Name + One line description
Responsibility: 
My main responsibility,  + what I'm doing, + what services do I offer.
Collaborators:  
my main collaborators + one line about how I interact with each

Public API and Key Messages
- message one   
- message two 
- what is the way to create instances is a plus.
   One simple example is simply gorgeous.
 
Internal Representation and Key Implementation Points.
    Implementation Points!
